Install busybox test suite and run it as ptest.
Signed-off-by: Anders Roxell <anders.roxell@enea.com>
Signed-off-by: Björn Stenberg <bjst@enea.com>
Signed-off-by: Saul Wold <sgw@linux.intel.com>
RRECOMMENDS_${PN} = "${PN}-syslog ${PN}-udhcpc"
-inherit cml1 systemd update-rc.d
+inherit cml1 systemd update-rc.d ptest
# internal helper
def busybox_cfg(feature, features, tokens, cnf, rem):
file://strict-atime.patch \
file://fail_on_no_media.patch \
file://busybox-sulogin-empty-root-password.patch \
+ file://run-ptest \
file://inetd.conf \
file://inetd \
file://login-utilities.cfg \
SRC_URI[tarball.sha256sum] = "eb13ff01dae5618ead2ef6f92ba879e9e0390f9583bd545d8789d27cf39b6882"
EXTRA_OEMAKE += "V=1 ARCH=${TARGET_ARCH} CROSS_COMPILE=${TARGET_PREFIX} SKIP_STRIP=y"
+
+do_install_ptest () {
+ cp -r ${B}/testsuite ${D}${PTEST_PATH}/
+ cp ${B}/.config ${D}${PTEST_PATH}/
+ ln -s /bin/busybox ${D}${PTEST_PATH}/busybox
+}
--- /dev/null
+#!/bin/sh
+
+current_dir=$(readlink -f $0)
+export bindir=$(dirname $current_dir)
+
+cd testsuite || exit 1
+./runtest -v | sed -r 's/^(SKIPPED|UNTESTED):/SKIP:/'